# 38. Query: ottieni "UserData"

Ottieni i "UserData" dell'utente autorizzato.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query getUserData {
  getUserData {
    uuid
    email
    superficieTotale
    superficieMassima
    unitàSuperficie
    lingua
    chiaveApi
    numeroClassiDatasetSuolo
    organizzazioni {
      uuid
      nome
      cognome
      nome
      email
      telefono
      dataCreazione
      updatedDate
      utenti {
        uuidOrganizzazione
        userUuid
        email
        tutteAziende
        dataCreazione
        updatedDate
        aziende {
          uuid
          userUuid
          nome
          dataCreazione
          updatedDate
          farmOwnership
          email
        }
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/it/documentazione-api/panoramica-delle-richieste-api-geopard/38.-query-ottieni-userdata.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
